PUT /api/v3/placeGroup/{placeGroupId}

Edit a place group

EditPlaceGroupV3 Permissions: BuildingAndMeterGroups (Create)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
placeGroupId Id of the group to edit integer (int32) Required

Request Body

PlaceGroupRequest
Property Description Type
automaticGroupFilters List of filters to add members to an automatic place group Either AutomaticGroupFilters or ManualGroupMembers, but not both, must be passed in Cannot be Empty NULL Valid Only one of AutomaticGroupFilters, ManualGroupMembers can be set FilterEdit[]
FilterEdit properties
Property Description Type
fieldId Data field ID for the filter Required integer (int32)
operator Filter operator expressed as a string (e.g. “equals”) Required string
value Filter value string
limitMembersByTopmost Should this group only return members within the current user’s topmost Required boolean
manualGroupMembers List of members to add to the group Either AutomaticGroupFilters or ManualGroupMembers, but not both, must be passed in Members but be within the current user’s topmost You can create an empty group by passing in an empty array Only one of AutomaticGroupFilters, ManualGroupMembers can be set integer[]
placeGroupCategoryId The place group category Required integer (int32)
placeGroupInfo The place group info Must be between 0 and 255 characters Required string
Example Request Body application/json
{  "automaticGroupFilters": [
    {    "fieldId": 1,    "operator": "string",    "value": "string"
  }
  ],  "limitMembersByTopmost": false,  "manualGroupMembers": [
    1
  ],  "placeGroupCategoryId": 1,  "placeGroupInfo": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

GroupPlaceGroupResponse
Property Description Type
autoGroup Indicates if this place group is an autogroup boolean
lastUpdated The last time a member was inserted, updated, or deleted from the group string (date-time)
limitMembersByTopmost Indicates if the place group has been set limit the list of members by the user’s topmost boolean
memberCount The number of places in this group integer (int32)
memberCountWithTopmost The number of places within the currently authenticated user’s topmost integer (int32)
placeGroupCategory PlaceGroupCategoryChild
PlaceGroupCategoryChild properties
Property Description Type
placeGroupCategoryCode string
placeGroupCategoryId integer (int32)
placeGroupCategoryInfo string
placeGroupCode The place group code string
placeGroupId The place group identifier integer (int32)
placeGroupInfo The place group info string
userDefinedAutoGroup Indicates if this place group is an user defined auto group boolean
userDefinedAutoGroupFilters The filters applied to determine the members of a user defined auto group FilterResponse[]
FilterResponse properties
Property Description Type
availableOperator The list of available operators Required (defined) string[]
caption The caption of the filter Required (defined) string
dataFieldId The datafield identifier Required (defined) integer (int32)
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode Required (defined) string
dataTypeId Required (defined) integer (int32)
dataTypeInfo Required (defined) string
fieldId The field identifier Required (defined) integer (int32)
hidden Indicates if the filter is hidden Required (defined) boolean
operator The operator Required (defined) string
queryParameterName The Query parameter name Required (defined) string
recommended Indicates if the filter is recommended Required (defined) boolean
required Indicates if the filter is required boolean
value The value of the filter Required (defined) string
Example Response application/json
{  "autoGroup": false,  "lastUpdated": "2026-03-30",  "limitMembersByTopmost": false,  "memberCount": 1,  "memberCountWithTopmost": 1,  "placeGroupCategory": {    "placeGroupCategoryCode": "string",    "placeGroupCategoryId": 1,    "placeGroupCategoryInfo": "string"
  },  "placeGroupCode": "string",  "placeGroupId": 1,  "placeGroupInfo": "string",  "userDefinedAutoGroup": false,  "userDefinedAutoGroupFilters": [
    {    "availableOperator": [
      "string"
    ],    "caption": "string",    "dataFieldId": 1,    "dataType": {      "dataTypeCode": "string",      "dataTypeId": 1,      "dataTypeInfo": "string"
    },    "fieldId": 1,    "hidden": false,    "operator": "string",    "queryParameterName": "string",    "recommended": false,    "required": false,    "value": "string"
  }
  ]
}